nationality_mapping = {
    "AF": "Afghan",
    "AL": "Albanian",
    "DZ": "Algerian",
    "AS": "American Samoan",
    "AD": "Andorran",
    "AO": "Angolan",
    "AG": "Antiguan or Barbudan",
    "AR": "Argentine",
    "AM": "Armenian",
    "AU": "Australian",
    "AT": "Austrian",
    "AZ": "Azerbaijani",
    "BS": "Bahamian",
    "BH": "Bahraini",
    "BD": "Bangladeshi",
    "BB": "Barbadian",
    "BY": "Belarusian",
    "BE": "Belgian",
    "BZ": "Belizean",
    "BJ": "Beninese",
    "BT": "Bhutanese",
    "BO": "Bolivian",
    "BA": "Bosnian or Herzegovinian",
    "BW": "Botswanan",
    "BR": "Brazilian",
    "BN": "Bruneian",
    "BG": "Bulgarian",
    "BF": "Burkinabé",
    "BI": "Burundian",
    "KH": "Cambodian",
    "CM": "Cameroonian",
    "CA": "Canadian",
    "CV": "Cape Verdean",
    "CF": "Central African",
    "TD": "Chadian",
    "CL": "Chilean",
    "CN": "Chinese",
    "CO": "Colombian",
    "KM": "Comorian",
    "CG": "Congolese (Congo-Brazzaville)",
    "CD": "Congolese (Congo-Kinshasa)",
    "CR": "Costa Rican",
    "CI": "Ivorian",
    "HR": "Croatian",
    "CU": "Cuban",
    "CY": "Cypriot",
    "CZ": "Czech",
    "DK": "Danish",
    "DJ": "Djiboutian",
    "DM": "Dominican",
    "DO": "Dominican",
    "EC": "Ecuadorian",
    "EG": "Egyptian",
    "SV": "Salvadoran",
    "GQ": "Equatorial Guinean",
    "ER": "Eritrean",
    "EE": "Estonian",
    "SZ": "Eswatini",
    "ET": "Ethiopian",
    "FJ": "Fijian",
    "FI": "Finnish",
    "FR": "French",
    "GA": "Gabonese",
    "GM": "Gambian",
    "GE": "Georgian",
    "DE": "German",
    "GH": "Ghanaian",
    "GR": "Greek",
    "GD": "Grenadian",
    "GT": "Guatemalan",
    "GN": "Guinean",
    "GW": "Bissau-Guinean",
    "GY": "Guyanese",
    "HT": "Haitian",
    "HN": "Honduran",
    "HU": "Hungarian",
    "IS": "Icelandic",
    "IN": "Indian",
    "ID": "Indonesian",
    "IR": "Iranian",
    "IQ": "Iraqi",
    "IE": "Irish",
    "IL": "Israeli",
    "IT": "Italian",
    "JM": "Jamaican",
    "JP": "Japanese",
    "JO": "Jordanian",
    "KZ": "Kazakhstani",
    "KE": "Kenyan",
    "KI": "I-Kiribati",
    "KR": "South Korean",
    "KW": "Kuwaiti",
    "KG": "Kyrgyz",
    "LA": "Lao",
    "LV": "Latvian",
    "LB": "Lebanese",
    "LS": "Basotho",
    "LR": "Liberian",
    "LY": "Libyan",
    "LI": "Liechtensteiner",
    "LT": "Lithuanian",
    "LU": "Luxembourger",
    "MG": "Malagasy",
    "MW": "Malawian",
    "MY": "Malaysian",
    "MV": "Maldivian",
    "ML": "Malian",
    "MT": "Maltese",
    "MH": "Marshallese",
    "MR": "Mauritanian",
    "MU": "Mauritian",
    "MX": "Mexican",
    "FM": "Micronesian",
    "MD": "Moldovan",
    "MC": "Monégasque",
    "MN": "Mongolian",
    "ME": "Montenegrin",
    "MA": "Moroccan",
    "MZ": "Mozambican",
    "MM": "Burmese",
    "NA": "Namibian",
    "NR": "Nauruan",
    "NP": "Nepalese",
    "NL": "Dutch",
    "NZ": "New Zealander",
    "NI": "Nicaraguan",
    "NE": "Nigerien",
    "NG": "Nigerian",
    "NO": "Norwegian",
    "OM": "Omani",
    "PK": "Pakistani",
    "PW": "Palauan",
    "PA": "Panamanian",
    "PG": "Papua New Guinean",
    "PY": "Paraguayan",
    "PE": "Peruvian",
    "PH": "Filipino",
    "PL": "Polish",
    "PT": "Portuguese",
    "QA": "Qatari",
    "RO": "Romanian",
    "RU": "Russian",
    "RW": "Rwandan",
    "WS": "Samoan",
    "SA": "Saudi Arabian",
    "SN": "Senegalese",
    "RS": "Serbian",
    "SC": "Seychellois",
    "SL": "Sierra Leonean",
    "SG": "Singaporean",
    "SK": "Slovak",
    "SI": "Slovenian",
    "SB": "Solomon Islander",
    "SO": "Somali",
    "ZA": "South African",
    "ES": "Spanish",
    "LK": "Sri Lankan",
    "SD": "Sudanese",
    "SR": "Surinamese",
    "SE": "Swedish",
    "CH": "Swiss",
    "SY": "Syrian",
    "TW": "Taiwanese",
    "TJ": "Tajik",
    "TZ": "Tanzanian",
    "TH": "Thai",
    "TL": "Timorese",
    "TG": "Togolese",
    "TO": "Tongan",
    "TT": "Trinidadian or Tobagonian",
    "TN": "Tunisian",
    "TR": "Turkish",
    "TM": "Turkmen",
    "TV": "Tuvaluan",
    "UG": "Ugandan",
    "UA": "Ukrainian",
    "AE": "Emirati",
    "GB": "British",
    "US": "American",
    "UY": "Uruguayan",
    "UZ": "Uzbek",
    "VU": "Ni-Vanuatu",
    "VE": "Venezuelan",
    "VN": "Vietnamese",
    "YE": "Yemeni",
    "ZM": "Zambian",
    "ZW": "Zimbabwean"
}


def nationality(code):
    return nationality_mapping.get(code)
